* * *

Author Topic: error when installing package lnet 0.6.4  (Read 790 times)

teodor4ik

  • Newbie
  • Posts: 3
error when installing package lnet 0.6.4
« on: May 05, 2018, 01:55:16 pm »
Hi. Im trying to add package  lnetvisual0.6.4 to clear, just installed Lazarus and get this when compiling.

Code: Pascal  [Select]
  1. Messages, Warnings: 1
  2. Warning: other sources path of package "lnetbase 0.6.4" contains directory "..\lib", which is already in the unit search path.
  3. Compile package lnetbase 0.6.4: Exit code 1, Errors: 5, Warnings: 1
  4. lcommon.pp(358,4) Warning: User defined: check these ambiguous errors
  5. lcommon.pp(515,18) Error: identifier idents no member "family"
  6. lcommon.pp(516,18) Error: identifier idents no member "Port"
  7. lcommon.pp(521,24) Error: identifier idents no member "Addr"
  8. lcommon.pp(522,55) Error: identifier idents no member "Addr"
  9. lcommon.pp(523,26) Error: identifier idents no member "Addr"
  10.  

What i miss?

lainz

  • Hero Member
  • *****
  • Posts: 2825
    • Home
Re: error when installing package lnet 0.6.4
« Reply #1 on: May 05, 2018, 04:36:42 pm »
Use fphttpclient or Indy, both works fine.

teodor4ik

  • Newbie
  • Posts: 3
Re: error when installing package lnet 0.6.4
« Reply #2 on: May 07, 2018, 01:42:38 pm »
Answer found. For Lazarus 1.6+ needed lnet v0.6.6

 

Recent

Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus